//float ang_2;
class BvsV {

  void display() {
    pushMatrix();
    translate(width/2, height/2+radius/2);

    rotate(radians(90));
    stroke(200);
    
    //drawing arc
    for (int i = 0; i<24; i++) {
      noFill();
      stroke(255);
      strokeWeight(0.04*i);
      arc(0, 0, radius/2+radius/16*i, radius/2+radius/16*i, PI+HALF_PI, PI+PI+QUARTER_PI, OPEN);
      line(radius*sqrt(2)/2,radius*sqrt(2)/2,0,0);
      fill(255);
      ellipse(0,0,8,8);
    }

    //BACKTOBLACK
    for (int i=0; i<dataMatrix.length; i++) {
      B_lineWidth = map(dataMatrix[i][0], B_minValue, B_maxValue, MapMin, MapMax);

      noStroke();
      fill(255);
      ellipse(-sqrt(sq(radius)-sq((i-dataMatrix.length/2)*B_lineHeight)), (i-dataMatrix.length/2)*B_lineHeight, 2.5, 2.5);  
      fill(255, 255, 255, 255);
      rect(-sqrt(sq(radius)-sq((i-dataMatrix.length/2)*B_lineHeight)), (i-dataMatrix.length/2)*B_lineHeight, -B_lineWidth, .5);
      fill(255, 255, 255, random(200, 255));
      ellipse(-sqrt(sq(radius)-sq((i-dataMatrix.length/2)*B_lineHeight))-B_lineWidth, (i-dataMatrix.length/2)*B_lineHeight, 3, 3);
    }

    //VampireWeekend
    for (int i=0; i<dataMatrix.length; i++) {
      V_lineWidth = map(dataMatrix[i][1], V_minValue, V_maxValue, MapMin, MapMax);    
      noStroke();
      fill(255, 255, 255, 200);
      rect(-sqrt(sq(radius)-sq((i-dataMatrix.length/2)*B_lineHeight)), (i-dataMatrix.length/2)*B_lineHeight, V_lineWidth, .5);
      fill(238, 66, 32, random(150, 255));
      ellipse(-sqrt(sq(radius)-sq((i-dataMatrix.length/2)*B_lineHeight))+V_lineWidth, (i-dataMatrix.length/2)*B_lineHeight, 4, 4);
    }
    
    //text for V & B
    for (int i=0; i<10; i++) {
      textAlign(CENTER, CENTER);
      fill(255);
      textFont(Din);
      textSize(10);
      text(startYear+i, timelineRight, -radius+i*radius/5);                    
      fill(238, 66, 32, 255);
      textSize(10);
      text("VAMPIRE WEEKENDS", -120, 60);
      fill(255);
      textSize(10);
      text("BLACK TO BLACK", -90-radius, 60);
    }
    popMatrix();
  }
}