//draw vertical line
PVector locationR;
PVector velocityR;




class MoverR {


  MoverR() {

    locationR = new PVector (width/2+timelineRight, 0);
    velocityR = new PVector (-3, 0);
  }

  void display() {

    locationR.add(velocityR);
    //max point for Vampire Forest
    maxRightRect = width-(7*B_lineHeight+width/2-radius);
    MV_lineWidth = map(dataMatrix[7][1], V_minValue, V_maxValue, MapMin, MapMax);
    moverDotY = height/2+radius/2 -sqrt(sq(radius) - sq((dataMatrix.length/2-7)*B_lineHeight))- MV_lineWidth;
    //maxpoint for Black
    maxLeftRect = (dataMatrix.length/2-7)*B_lineHeight+width/2;
    BV_lineWidth = map(dataMatrix[7][0], B_minValue, B_maxValue, MapMin, MapMax);
    moverDotB = height/2-radius/2 +sqrt(sq(radius) - sq((dataMatrix.length/2-7)*B_lineHeight))+ BV_lineWidth;
    //set up mover
    if ((locationR.x<maxRightRect) || (locationR.x > width/2+timelineRight)) {
      velocityR.x = -1 * velocityR.x;
    }
    //draw max point on V
   fill(random(0,255),random(0,255),255,255);
    ellipse(maxRightRect, moverDotY, 10, 10);
    //Draw ellipse at Max point
   fill(random(0,255),random(0,255),255,255);
    ellipse(maxLeftRect, moverDotB, 10, 10);


    if (locationR.x <= maxRightRect+20 && locationR.x >= maxRightRect-40) {
      stroke(100, 203, 249, 255);           
      strokeWeight(2);
      //top
      line(0, 0, locationR.x, 0);      
      //bottom
      line(0, height-2, locationR.x, height-2);
    } else {
      stroke(255);
      strokeWeight(.7);
      line(0, height-2, locationR.x, height-2);//bottom
      line (locationR.x, 0, 0, 0);//top
    }


    fill(255);

    ellipse(locationR.x, 0, 6, 6);//top
    ellipse(locationR.x, height-2, 6, 6);//bottom
    rect(locationR.x, 0, width, 1);
    rect(locationR.x, height-2, width, 2);
    //text on the mover
    textAlign(LEFT, CENTER);
    fill(238, 66, 32, 255);
    textFont(Gotham);
    textSize(12);
    text("VAMPIRE WEEKEND | MAX 140", locationR.x, 20);
    text("BACK TO BLACK | MAX 121", locationR.x, height-20);
    println("maxLeftRect"+maxLeftRect+"moverDotB"+moverDotB);
  }
}