class Interaction {
  void display() {
    //interaction
    if (mouseX >=width/2) {
      ang += .8;
    } else {
      //EXPLAINATION
      pushMatrix();
      textAlign(LEFT, CENTER);
      fill(200);
      textFont(Din);
      textSize(13);
      translate(40, 3*height/4+50);    
      String s ="This interactive 2D data visualization examines a camparison between two soul albums'checkout numbers and two indie rock albums, which are ‘back to black’, ‘19’, ‘vampire weekend’ and ‘fleet foxes’ respectively. Examining the pattern of change of those four albums from 2008 - 2016 brings up analysis of correlation between soul album and indie rock, and push and pull between culture events and album checkout numbers.";
      text (s, 0, 0, 350, 140);
      textLeading(20);
      popMatrix();

      //draw line  - timeline  horizontal
      pushMatrix();
      translate(width/2, height/2-radius);

      for (int i=0; i<dataMatrix.length+1; i++) {       
        if (i%12==0) {
          for (int j=0; j<11; j++) {
            textAlign(CENTER, CENTER);
            fill(200);
            noStroke();
            textFont(Gotham);
            textSize(9);
            rect(radius/3+timelineRight, -radius/2 + j*radius/5, 3, 5);
            text(startYear+j, radius/2+timelineRight, -radius/2 + j*radius/5);//horizontal line text
            text(startYear+j, -j*radius/5+radius, 2.5*radius+30);//vertical line text
          }
          stroke(155);
          strokeWeight(.3);
          line (radius+timelineRight, -radius/2+i*radius/59.5, -radius+timelineLeft, -radius/2 + i*radius/59.5);
        } else {
          stroke(55);
          strokeWeight(0.1);
          line (radius+timelineRight, -radius/2+i*radius/59.5, -radius+timelineLeft, -radius/2 + i*radius/59.5);
        }
      }
      //drawline - time line - vertical
      for (int i=0; i<dataMatrix.length+1; i++) {  
        if (i%12==0) {        
          stroke(255);
          strokeWeight(0.3);
          rect(-radius+i*radius/59.5, 2.5*radius, 2,2);
          line (-radius+i*radius/59.5, 3*radius/2, -radius+i*radius/59.5,height/2+radius);
        } else {
          stroke(100);
          strokeWeight(0.1);
          line (-radius+i*radius/59.5, 3*radius/2, -radius+i*radius/59.5,height/2+radius);
        }
      }
  
      popMatrix();
      //text
      textAlign(LEFT, CENTER);
      fill(255);
      textFont(Gotham);
      textSize(20);
      text("INDIE ROCK vs SOUL", 40, 40);
      textSize(10);
      text("20 YEARS AFTER NIRVANA'S NEVERMIND, DOES SEATTLE STILL ROCK", 40, 70);
    }
  }
}