Table table;
int numRows, numColumns;
float[][] dataMatrix;
float B_maxValue, B_minValue, V_maxValue, V_minValue, F_maxValue, F_minValue, N_maxValue, N_minValue;
float B_lineWidth, B_lineHeight=4, radius= B_lineHeight*119/2; //back to black
float V_lineWidth, MV_lineWidth;
float F_lineWidth;
float N_lineWidth;
float ang;
float frame=0;
float moverDotB;
float BV_lineWidth;
float moverDotY;
int startYear = 2008; 
int value=0;
Interaction inter;
BvsV BvsV;
FvsN FvsN;
Text t;

MoverR moverR;


float MapMax =200, MapMin=20;
PFont Din;
PFont Gotham;
float timelineLeft = -500; 

float timelineRight = 500; 

float maxLeftRect, maxRightRect;

void setup() {
  fullScreen();
  //size(1280, 1000,P3D);

  surface.setResizable(true);
  //
  inter = new Interaction();
  BvsV = new BvsV ();
  FvsN = new FvsN ();

  t = new Text();
  moverR= new MoverR();
  //import fonts
  Din = createFont("DIN.otf", 32);
  Gotham = createFont("Gotham-Bold.otf", 32);

  //setup Table
  table = loadTable ("soulVSrock.csv", "header");
  numRows = table.getRowCount();
  numColumns = table.getColumnCount();
  dataMatrix = new float [numColumns-4][numRows];
  println("Rows: " + numRows + " Columns: " + numColumns);

  for (int i=0; i<numColumns-4; i++) {
    for (int j=0; j<numRows; j++) {
      dataMatrix[i][j] = table.getFloat(j, i+4);
    }
  }

  //maxValue and minValue //back to black
  for (int i=0; i < dataMatrix.length; i++) {
    if (dataMatrix[i][0]>B_maxValue ) {
      B_maxValue = dataMatrix [i][0];
      println ("B"+i);//b=6
    }
  }

  B_minValue = 7;


  //maxValue and minValue //Vampire Weekend
  for (int i=0; i < dataMatrix.length; i++) {
    if (dataMatrix[i][1]>V_maxValue ) {
      V_maxValue = dataMatrix [i][1];
      println("v"+i); //i = 6
    }
  }

  V_minValue = 0;


  //min and max of fleet foxes
  for (int i=0; i < dataMatrix.length; i++) {
    if (dataMatrix[i][2]>F_maxValue ) {
      F_maxValue = dataMatrix [i][2];
      println("fleetMax"+F_maxValue+i);//146 12
    }
  }

  F_minValue = 0;
  //min and max of 19
  for (int i=0; i < dataMatrix.length; i++) {
    if (dataMatrix[i][3]>N_maxValue ) {
      N_maxValue = dataMatrix [i][3];
      println("19"+N_maxValue+i); //123 57
    }
  }

  N_minValue = 0;
}

void draw() {

  background(0);
  //cursor shape
  noCursor();
  fill(random(0, 255), 255, random(0, 255), 255);
  rect(mouseX, mouseY, 5, 10);
  inter.display();
  BvsV.display();
 

  moverR.display();
   FvsN.display();
  t.display();



  //background noise
  fill(random(0, 150));
  for (int i=0; i<width; i+=20) {
    ellipse (i, random(0, height), 2, random(2, 6));
  }

}
void mousePressed() {
    saveFrame();
}